> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Payment Method by ID

Retrieve information about a payment method based on its `payment_method_id`, which needs to be provided in the request path.


## OpenAPI

````yaml openapi/payment-methods-checkout/retrieve-payment-method-by-id-checkout.json GET /payment-methods/{payment_method_id}
openapi: 3.1.0
info:
  title: payment_methods
  version: 1.0.2
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - sec0: []
    sec1: []
paths:
  /payment-methods/{payment_method_id}:
    get:
      summary: Retrieve Payment Method By ID
      operationId: retrieve-payment-method-by-id-checkout
      parameters:
        - name: payment_method_id
          in: path
          description: >-
            The payment method id obtained while enrolling a new payment method
            (UUID, 36 chars).
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '201'
          content:
            application/json:
              examples:
                Ready to enroll:
                  value:
                    id: 0395199e-a99c-4a85-acac-6c916f43fa74
                    idempotency_key: null
                    account_id: 493e9374-510a-4201-9e09-de669d75f256
                    name: Visa Credit Card
                    description: Visa Credit Card
                    type: VISA
                    category: CARD
                    country: US
                    status: READY_TO_ENROLL
                    created_at: '2024-06-06T13:14:18.799434Z'
                    updated_at: '2024-06-06T13:14:18.799437Z'
                    enrollment:
                      session: 6641e30d-ca7a-440f-b97c-24231eac6dab
                      sdk_required_action: false
                    provider:
                      id: YUNO
                      type: YUNO
                      provider_status: null
                    verify:
                      vault_on_success: false
                      payment: null
                    preferred: null
                Enrolled:
                  value:
                    id: 77ee4a02-da3e-4a11-ac15-ba69e1813475
                    idempotency_key: null
                    account_id: 493e9374-510a-4201-9e09-de669d75f256
                    name: VISA ****1111
                    description: VISA ****1111
                    type: CARD
                    category: CARD
                    country: US
                    status: ENROLLED
                    created_at: '2024-06-06T13:28:57.149530Z'
                    updated_at: '2024-06-06T13:29:05.536493Z'
                    enrollment:
                      session: 0685f1d6-11ff-4992-abc3-9eea1842205c
                      sdk_required_action: true
                    provider:
                      id: YUNO
                      type: YUNO
                      token: e47299a5-269e-42a1-9be1-9f64e400413a
                      provider_status: null
                    card_data:
                      iin: '41111111'
                      lfd: '1111'
                      expiration_month: 10
                      expiration_year: 25
                      number_length: 16
                      security_code_length: 3
                      brand: VISA
                      issuer: JPMORGAN CHASE BANK N A
                      issuer_code: null
                      category: CREDIT
                      type: CREDIT
                      fingerprint: 55a7fe38-cdc3-45dc-8c5f-820751799c76
                    verify:
                      vault_on_success: false
                      payment: null
                    preferred: null
              schema:
                oneOf:
                  - title: Ready to enroll
                    type: object
                    properties:
                      id:
                        type: string
                        example: 0395199e-a99c-4a85-acac-6c916f43fa74
                      idempotency_key: {}
                      account_id:
                        type: string
                        example: 493e9374-510a-4201-9e09-de669d75f256
                      name:
                        type: string
                        example: Visa Credit Card
                      description:
                        type: string
                        example: Visa Credit Card
                      type:
                        type: string
                        example: VISA
                      category:
                        type: string
                        example: CARD
                      country:
                        type: string
                        example: US
                      status:
                        type: string
                        example: READY_TO_ENROLL
                      created_at:
                        type: string
                        example: '2024-06-06T13:14:18.799434Z'
                      updated_at:
                        type: string
                        example: '2024-06-06T13:14:18.799437Z'
                      enrollment:
                        type: object
                        properties:
                          session:
                            type: string
                            example: 6641e30d-ca7a-440f-b97c-24231eac6dab
                          sdk_required_action:
                            type: boolean
                            example: false
                            default: true
                      provider:
                        type: object
                        properties:
                          id:
                            type: string
                            example: YUNO
                          type:
                            type: string
                            example: YUNO
                          provider_status: {}
                      verify:
                        type: object
                        properties:
                          vault_on_success:
                            type: boolean
                            example: false
                            default: true
                          payment: {}
                      preferred: {}
                  - title: Enrolled
                    type: object
                    properties:
                      id:
                        type: string
                        example: 77ee4a02-da3e-4a11-ac15-ba69e1813475
                      idempotency_key: {}
                      account_id:
                        type: string
                        example: 493e9374-510a-4201-9e09-de669d75f256
                      name:
                        type: string
                        example: VISA ****1111
                      description:
                        type: string
                        example: VISA ****1111
                      type:
                        type: string
                        example: CARD
                      category:
                        type: string
                        example: CARD
                      country:
                        type: string
                        example: US
                      status:
                        type: string
                        example: ENROLLED
                      created_at:
                        type: string
                        example: '2024-06-06T13:28:57.149530Z'
                      updated_at:
                        type: string
                        example: '2024-06-06T13:29:05.536493Z'
                      enrollment:
                        type: object
                        properties:
                          session:
                            type: string
                            example: 0685f1d6-11ff-4992-abc3-9eea1842205c
                          sdk_required_action:
                            type: boolean
                            example: true
                            default: true
                      provider:
                        type: object
                        properties:
                          id:
                            type: string
                            example: YUNO
                          type:
                            type: string
                            example: YUNO
                          token:
                            type: string
                            example: e47299a5-269e-42a1-9be1-9f64e400413a
                          provider_status: {}
                      card_data:
                        type: object
                        properties:
                          iin:
                            type: string
                            example: '41111111'
                          lfd:
                            type: string
                            example: '1111'
                          expiration_month:
                            type: integer
                            example: 10
                            default: 0
                          expiration_year:
                            type: integer
                            example: 25
                            default: 0
                          number_length:
                            type: integer
                            example: 16
                            default: 0
                          security_code_length:
                            type: integer
                            example: 3
                            default: 0
                          brand:
                            type: string
                            example: VISA
                          issuer:
                            type: string
                            example: JPMORGAN CHASE BANK N A
                          issuer_code: {}
                          category:
                            type: string
                            example: CREDIT
                          type:
                            type: string
                            example: CREDIT
                          fingerprint:
                            type: string
                            example: 55a7fe38-cdc3-45dc-8c5f-820751799c76
                      verify:
                        type: object
                        properties:
                          vault_on_success:
                            type: boolean
                            example: false
                            default: true
                          payment: {}
                      preferred: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Bad Request:
                  value:
                    code: INVALID_REQUEST
                    messages:
                      - Invalid request
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: INVALID_REQUEST
                  messages:
                    type: array
                    items:
                      type: string
                      example: Invalid request
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Result:
                  value:
                    code: INVALID_CREDENTIALS
                    messages:
                      - Invalid credentials
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: INVALID_CREDENTIALS
                  messages:
                    type: array
                    items:
                      type: string
                      example: Invalid credentials
        '403':
          description: '403'
          content:
            application/json:
              examples:
                Forbidden:
                  value:
                    code: AUTHORIZATION_REQUIRED
                    messages:
                      - The merchant has no authorization to use this API.
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: AUTHORIZATION_REQUIRED
                  messages:
                    type: array
                    items:
                      type: string
                      example: The merchant has no authorization to use this API.
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: public-api-key
      x-default: <Your public-api-key>
    sec1:
      type: apiKey
      in: header
      name: private-secret-key
      x-default: <Your private-secret-key>

````